curl --request POST \
--url https://api.duvo.ai/v2/agents/{agent_id}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"version": "v2",
"data": {
"models": {
"agent": {
"model": "<string>"
},
"browsing": {}
},
"input": "<string>",
"files": [],
"skills": [],
"plugins": [],
"subAgents": [],
"options": {
"evaluationSchemaId": "<string>",
"benchmarkExpectedOutcomes": [
{
"description": "<string>",
"criteria": "<string>"
}
],
"supervisedMode": true
}
}
},
"handover_target_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"handover_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handover_options": {
"target_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"required": true
},
"source_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selected_automation_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/agents/{agent_id}/revisions"
payload = {
"name": "<string>",
"config": {
"version": "v2",
"data": {
"models": {
"agent": { "model": "<string>" },
"browsing": {}
},
"input": "<string>",
"files": [],
"skills": [],
"plugins": [],
"subAgents": [],
"options": {
"evaluationSchemaId": "<string>",
"benchmarkExpectedOutcomes": [
{
"description": "<string>",
"criteria": "<string>"
}
],
"supervisedMode": True
}
}
},
"handover_target_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"handover_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handover_options": {
"target_agent_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"required": True
},
"source_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selected_automation_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
version: 'v2',
data: {
models: {agent: {model: '<string>'}, browsing: {}},
input: '<string>',
files: [],
skills: [],
plugins: [],
subAgents: [],
options: {
evaluationSchemaId: '<string>',
benchmarkExpectedOutcomes: [{description: '<string>', criteria: '<string>'}],
supervisedMode: true
}
}
},
handover_target_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
handover_to: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
handover_options: {target_agent_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'], required: true},
source_build_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
selected_automation_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.duvo.ai/v2/agents/{agent_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"build": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"version": "v1",
"data": {
"language": "python",
"source": {
"kind": "inline",
"code": "<string>"
},
"files": [],
"timeoutMs": 600000,
"handoverRequired": false
}
},
"status": "<string>",
"revision_number": 123,
"parent_build_id": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"revision_name": "<string>",
"revision_description": "<string>",
"created_by_name": "<string>",
"schedules": [
{
"id": "<string>",
"build_id": "<string>",
"agent_id": "<string>",
"user_id": "<string>",
"enabled": true,
"frequency": "every_5_minutes",
"time": "<string>",
"timezone": "<string>",
"day": "<string>",
"day_of_month": 123,
"cron": "<string>",
"source": "<string>",
"task": "<string>",
"recurring": true,
"auto_disabled_at": "<string>",
"auto_disabled_reason": "<string>",
"consecutive_missing_connection_failures": 4503599627370495,
"first_missing_connection_failure_at": "<string>",
"last_missing_connection_failure_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_name": "<string>",
"user_email": "<string>"
}
],
"handover_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handover_options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
},
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Create Revision
Create a new revision for an existing agent.
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The agent's unique identifier
Body
Build name
1Build configuration. An agent step takes the latest agent schema (legacy v1 agent configs are not accepted); a code step takes a code-step config. Omit it to get the step family's default first build.
- Option 1
- Option 2
Show child attributes
Show child attributes
Agent IDs that this agent can hand work off to
The single agent or code step to run after this one completes ("Handover to"). Mutually exclusive with handover_target_ids.
Code steps only. The targets the program may request, and whether it must. Null clears them; omit to inherit the source build's. Mutually exclusive with handover_to.
Show child attributes
Show child attributes
Build ID to copy integrations and queue links from
The automation revision this edit is being made at. Pass a draft and the edit is folded into that draft itself; pass the active revision and the edit lands on a draft branched from it. A historic revision is rejected — it cannot be activated from without an explicit rebase. A revision belonging to a different automation is ignored, and the edit targets the automation the addressed agent belongs to. Omit to target the automation's active revision.
Was this page helpful?